var mainURL = 'https://hypertire.com/';

window.onerror = function(msg, url, line, col, error) {

    var string = msg.toLowerCase();
    var substring = "script error";
    if (string.indexOf(substring) > -1){
        alert('Script Error: See Browser Console for Detail');
    } else {
        var message = [
            'Message: ' + msg,
            'URL: ' + url,
            'Line: ' + lineNo,
            'Column: ' + columnNo,
            'Error object: ' + JSON.stringify(error)
        ].join(' - ');

        alert(message);
    }

    if(device.platform == 'Android'){
        navigator.app.exitApp();
    }

};


var app = {
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
    
        
		pageCorefunctions();
		$('#page_home').trigger("pageshow");
		
		basketCount();
    	setInterval(basketCount, 10000);
    	
    	app.setupPush();

    	
    },
    appLoaded: function(){
        setTimeout(function(){
            $("#LOADERS").fadeOut(300,function(){
                $(this).remove();
            });
        }, 2000);
    },    
    setupPush: function() {
        console.log('calling push init');
        var push = PushNotification.init({
            "android": {
                "senderID": "38291232160"
            },
            "browser": {},
            "ios": {
                "sound": true,
                "vibration": true,
                "badge": true
            },
            "windows": {}
        });
        console.log('after init');
        push.on('registration', function(data) {
            var oldRegId = localStorage.getItem('registrationId');
            if (oldRegId !== data.registrationId) {
                localStorage.setItem('registrationId', data.registrationId);
            }
            app.appLoaded();
			basketCount();
        });
        push.on('error', function(e) {
        	app.appLoaded();
            console.log("push error = " + e.message);
        });
        push.on('notification', function(data) {
            console.log('notification event');
       });
       
    }
};


function basketCount(){
	var request = 'type=getBasket&onlycount=1';
	agentRequest(function(data){
		console.log(data);
		var total = parseInt(data.total);
		$("#basketbtn .count").text(total);
		if( total ){
			$("#basketbtn .count").show();
		}else{
			$("#basketbtn .count").hide();		
		}
	},request);
}
function pageCorefunctions(){
	$("#mainpage").on("load", function(){
		$.mobile.loading("hide");
	});
	$(document).on("pageshow", '#page_home', function(e){
		getPage(mainURL + 'shop/appmain/');
	});
	$("#homebtn").on('tap', function(){
		$("#page_home").trigger("pageshow");
	});
	$("#basketbtn").on('tap', function(){
		getPage(mainURL + 'shop/cart/?appview');
	});
	$("#rightPanel a").on('tap',function(){
		var url = mainURL + $(this).data("href");
		getPage(url);
		$( "#rightPanel" ).panel( "close" );
		
	});
}
function getPage(url){
	$("#mainpage").attr("src", url + '?appview' ).show();
}
